package com.ruoyi.zhdd.service;

import com.ruoyi.zhdd.domain.PlanTask;
import com.ruoyi.zhdd.domain.vo.PlanTaskVo;
import com.ruoyi.zhdd.domain.bo.PlanTaskBo;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 预案任务管理Service接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface IPlanTaskService extends IServicePlus<PlanTask, PlanTaskVo> {
	/**
	 * 查询单个
	 * @return
	 */
	PlanTaskVo queryById(String id);

	/**
	 * 查询列表
	 */
    TableDataInfo<PlanTaskVo> queryPageList(PlanTaskBo bo);

	/**
	 * 查询列表
	 */
	List<PlanTaskVo> queryList(PlanTaskBo bo);

	/**
	 * 根据新增业务对象插入预案任务管理
	 * @param bo 预案任务管理新增业务对象
	 * @return
	 */
	Boolean insertByBo(PlanTaskBo bo);

	/**
	 * 根据编辑业务对象修改预案任务管理
	 * @param bo 预案任务管理编辑业务对象
	 * @return
	 */
	Boolean updateByBo(PlanTaskBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    Map<Integer, List<PlanTaskVo>> queryPlanTaskByPlanId(String planId);
}
